## LabelSpec

Label style specification

View Source Label.ts, line 230

# Members

Type: `string`

#### # alignment Optional

how to orient the label w/respect to position: topLeft (default), topCenter, topRight, centerLeft, center, centerRight, bottomLeft, bottomCenter, bottomRight

View Source Label.ts, line 313

Type: `ColorSpec`

#### # backgroundColor Optional

color of background, default black

View Source Label.ts, line 268

Type: `any`

#### # backgroundImage Optional

An elment to draw into the label. Any CanvasImageSource is allowed. Label is resized to size of image

View Source Label.ts, line 308

Type: `number`

#### # backgroundOpacity Optional

opacity of background, default 1.0

View Source Label.ts, line 273

Type: `ColorSpec`

#### # borderColor Optional

color of border, default backgroundColor

View Source Label.ts, line 258

Type: `number`

#### # borderOpacity Optional

opacity of border

View Source Label.ts, line 263

Type: `number`

#### # borderThickness Optional

line width of border around label, default 0

View Source Label.ts, line 253

Type: `boolean`

#### # fixed Optional

sets the label to change with the model when zooming

View Source Label.ts, line 298

Type: `string`

#### # font Optional

font name, default sans-serif

View Source Label.ts, line 233

Type: `ColorSpec`

#### # fontColor Optional

font color, default white

View Source Label.ts, line 243

Type: `number`

#### # fontOpacity Optional

font opacity, default 1

View Source Label.ts, line 248

Type: `number`

#### # fontSize Optional

height of text, default 18

View Source Label.ts, line 238

Type: `number`

#### # frame Optional

if set, only display in this frame of an animation

View Source Label.ts, line 318

Type: `boolean`

#### # inFront Optional

always put labels in front of model

View Source Label.ts, line 288

Type: `XYZ`

#### # position Optional

coordinates for label

View Source Label.ts, line 278

Type: `Vector2`

#### # screenOffset Optional

x,y pixel offset of label from position

View Source Label.ts, line 283

Type: `boolean`

#### # showBackground Optional

show background rounded rectangle, default true

View Source Label.ts, line 293

Type: `boolean`

#### # useScreen Optional

position is in screen (not model) coordinates which are pixel offsets from the upper left corner

View Source Label.ts, line 303